GuideLab API

Create a stock adjustment

Records a manual stock adjustment for an inventory item. The quantity change can be positive (adding stock) or negative (removing stock). The item's current quantity is updated atomically.

POST
/inventory/adjustments

Records a manual stock adjustment for an inventory item. The quantity change can be positive (adding stock) or negative (removing stock). The item's current quantity is updated atomically.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/inventory/adjustments" \  -H "Content-Type: application/json" \  -d '{    "inventoryItemId": "string",    "quantityChange": 0,    "reason": "string"  }'
{  "data": {    "id": "string",    "inventoryItemId": "string",    "organizationId": "string",    "quantityBefore": "string",    "quantityChange": "string",    "quantityAfter": "string",    "source": "manual",    "reason": "string",    "notes": "string",    "adjustedBy": "string",    "createdAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty